For checkIfDead::processResult(), only check for redirect to root if the URL has content after the domain name
Closed, ResolvedPublic1 Story Points

Description

It looks like a common false positive for Cyberbot II is:
http://www.domain.com/ -> http://domain.com/
or
http://domain.com/ -> http://www.domain.com/
To avoid this, we should only check for redirects if the URL has content after the domain name, i.e. http://www.domain.com/something.

We should also create tests for this. Some potential test cases:
http://astraldynamics.com
http://www.astralbob.com

kaldari created this task.Apr 14 2016, 1:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2016, 1:00 AM
Niharika claimed this task.Apr 14 2016, 1:43 PM
Niharika set the point value for this task to 1.
Niharika triaged this task as High priority.
kaldari closed this task as Resolved.Apr 18 2016, 5:33 AM
kaldari moved this task from Needs Review/Feedback to Done on the Community-Tech-Sprint board.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.May 3 2016, 4:19 PM